%check for existance of directories and file names

% exist searches for the existance of function, folder, class, variable, etc.
% exist('name','kind') ---> kind: dir = folders, file = files or folders.
% exist('name','kind') returns value: 7 = name is a folder, 2 = name is a matlab function

if (exist(code_path,'dir')~=7)
    disp(['ERROR! ' code_path ' does not exist. Check the file runAnalysis.m to alter the "code_path" variable.']);
    return;
end
if (exist(data_path,'dir')~=7)
    disp(['ERROR! ' data_path ' does not exist. Check the file runAnalysis.m to alter the "data_path" variable.']);
    return;
end

if (exist(config_path,'dir')~=7)
    disp(['ERROR! ' config_path ' does not exist. Check the file runAnalysis.m to alter the "config_path" variable.']);
    return;
end
if (exist(output_path,'dir')~=7)
    disp(['ERROR! ' output_path ' does not exist. Check the file runAnalysis.m to alter the "output_path" variable.']);
    return;
end

if (exist(fullfile(config_path,channel_names_file),'file')~=2)
    disp(['ERROR! ' channel_names_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "channel_names_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    return;
end

if (exist(fullfile(config_path,subjects_file),'file')~=2)
    disp(['ERROR! ' subjects_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "subjects_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    return;
end
if (exist(fullfile(config_path,channels_to_analyze_file),'file')~=2)
    disp(['ERROR! ' channels_to_analyze_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "channel_to_analyze_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    return;
end
if (exist(fullfile(config_path,window_file),'file')~=2)
    disp(['WARNING! ' window_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "window_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    disp('All Samples will be analyzed.');
    use_window=0;
end
if (exist(fullfile(config_path,reference_file),'file')~=2)
    disp(['WARNING! ' reference_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "reference_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    disp('Data will not be re-referenced');
    use_ref=0;
end

if (exist(fullfile(config_path,base_category_file),'file')~=2)
    disp(['WARNING! ' base_category_file ' could not be found in' config_path '. Check the file runAnalysis.m to alter the "reference_file" variable, and make sure this file is in the directory "data_path" (' data_path ')']);
    disp('Data will not be re-referenced');
    use_ref=0;
end