function ChannelSelect = readSelectedChannels(fname,chanNames) %fname = ICC-selectedChannelList.txt --> FzCzT7PzT8
                                                               %chanNames = 129x1 cell of channels                                                             
                                                              

% ChannelSelect = readSelectedChannels(fname, chanNames)

% Reads a list of channel numbers from the text file fname
% returns the strings of those channels
% chanNames is a cell array of channel names, read by read_channel_names

count=0;


f = fopen(fname);    % f = 3
if (f==-1)
    error(['File "' fname '" does not exist']);
end

while ~feof(f)
    count=count+1;
    channel=fgetl(f);            % gets name of selected channel
    chanNum=str2num(channel);    % empty
    if isempty(chanNum);         % test if array is empty -- return 1(TRUE) if array is empty
        %its already a name
        if (isempty(find(ismember(chanNames,channel),1)))
            %channel name doesn't actually exist
            error(['channel name ' channel ' in ' fname ' not found in chanNames!']);
        else
            ChannelSelect{count}=channel;
        end
    else

        %if its a number, look up the name
        ChannelSelect{count}=chanNames{chanNum};
    end
end

fclose(f);
